#ifndef __SDCARD_HPP__
#define  __SDCARD_HPP__

#include "Singleton.hpp"

class SDCard: public Singleton <SDCard>{
friend class Singleton <SDCard>;
public :

    ~SDCard() {}

    //! initializator
    void init();

    void write(const uint8_t* bytes, uint32_t num_of_bytes);

    void close();

private :
    SDCard()
	{
	}

    SDCard(const SDCard&);

    SDCard & operator = (const SDCard &);

};
#endif  // __SDCARD_HPP__
